analyzers:
  perception:
    type: diagnostic_aggregator/GenericAnalyzer
    path: Perception
    expected:
      - "perception_lidar: construction_zone_monitor_zci"
      - "perception_lidar: siren_detector_component_zci"
      - "perception_lidar: radar_component_zci"
      - "perception_lidar: radnet_component_zci"
      - "perception_lidar: sensor_diagnostic"
      - "perception_lidar: tracker_component_zci"
      - "perception_lidar: tracker_diagnostic"
      - "perception_lidar: vma_component_zci"
      - "perception_lidar: vma_diagnostic"
      - "perception_activation: activation_server_zci"
      - "perception_msg_merger: perception_msg_merger_zci"
      - "perception_msg_merger: perception_msg_merger_diagnostic"
      - "perception_msg_merger: perception_msg_merger_distributed_logger"
      - "traffic_light_monitor_node: traffic_light_monitor_node"
      - "traffic_light_monitor_node: traffic_light_monitor_zci"
      - "perception_sdl_supervisor: Perception Activation Orchestration"
      - "perception_sdl_supervisor: Perception Message Merger Orchestration"
      - "perception_sdl_supervisor: Traffic Light Monitor Node Orchestration"
      - "perception_sdl_supervisor: Perception ROS Diagnostic Aggregator Orchestration"
      - "perception_sdl_supervisor: supervisor_zci"
      - "perception_sdl_supervisor: supervisor_diagnostic"
    remove_prefix:
      - "perception_lidar"
      - "perception_activation"
      - "perception_msg_merger"
      - "perception_sdl_supervisor"
      - "traffic_light_monitor_node"
